Add support for optional anti-rollback protection

Description

Some systems require anti-rollback protection to be in place. The easiest way for us to do this is to prevent upgrades to versions that are older than the currently running version.

In order to do this, we need to define what the ordering means with the version fields, and then add an option to enforce it.

Status

Assignee

Aditi Hilbert

Reporter

David Brown

Labels

None

Fix versions

Priority

Low